/* NEWS CONTAINER */
.news-container
{
  padding: 0 2.5rem;
}
.news-container > h1
{
  font-size: 36px;
  margin: 3.5rem 0;
}
/* News Preview */
.news-preview {
  position: relative;
  overflow: hidden;
  border: 10px solid var(--white);
  aspect-ratio: 3/2;
}
.news-preview img { 
  object-fit: cover; 
  width: 100%;
  height: 100%;
}
.news-preview .text-overlay {
  position: absolute;
  width: 100%;
  bottom: 0;
  height: 5rem;
  padding: 0.3rem;
  background-color: rgba(31, 55, 80, 0.5);
}
.news-preview .text-overlay h6 {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 12px;
  line-height: 2.75vh;
  color: var(--white);
}
.news-preview:hover a .text-overlay {
  background: var(--light-blue);
  transition: all 500ms;
}
.news-preview a:hover img {
  transform: scale(1.125);
  transition: all 500ms;
}
/* News Preview Show and Hide Button Content*/
.news-preview:nth-child(7) { 
  display: none;
}
#btn-toggle {
  background: var(--light-blue);
  color: var(--white);
  padding: 1rem;
  font-size: 1rem;
  border: none;
  text-decoration: none;
}
#btn-toggle > a{
  text-decoration: none !important;
}
/* Animation */
.showContentAnimation {
animation: fadeIn 3.5s ease-in-out forwards;
}

@keyframes fadeIn {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
/* Media queries */
@media (max-width: 768px) {
  .news-container {
    margin: 0;
  }  
}
@media (max-width: 576px) {
  .news-container > h1 {
    font-size: 1.8rem;
    margin: 3rem 0;
  }

  .news-container {
    margin: 0 auto;
    padding: 0 1rem;
  }  
}
